%define		PYVER		2.6
%define		__python	python%{PYVER}
%define		PVER		%(echo %{PYVER} | awk -F. '{print$1$2}')
%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%{!?python_sitearch: %define python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")}

Distribution:	CCux
Packager:	Christian Metzen <metzench@ccux-linux.de>
Name:           python26-telepathy
Version:        0.15.12
Release:        1
Summary:        Python libraries for Telepathy
Group:          Development/Languages
License:        LGPLv2+
URL:            http://telepathy.freedesktop.org/wiki/
Source0:        http://telepathy.freedesktop.org/releases/telepathy-python/telepathy-python-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch
BuildRequires:  python26-devel
BuildRequires:  dbus-python >= 0.80
BuildRequires:  libxslt

Requires:       dbus-python >= 0.80


%description
Python libraries for use in Telepathy clients and connection managers.


%prep
%setup -q -n telepathy-python-%{version}


%build
%configure PYTHON=/usr/bin/python%{PYVER}
make
chmod 0644 examples/*


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

 
%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc COPYING AUTHORS README NEWS examples/
%{python_sitelib}/telepathy/


%changelog
* Tue Nov 24 2009 Christian Metzen <metzench@ccux-linux.de> 0.15.12-1
- initial CCux package release
